<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/ClusterObj.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ClusterObj.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_cluster_obj_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_obj_8h.html">eicd/ClusterObj.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_8h.html">eicd/Cluster.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_obj.html#a69e1398814e8fe3395dbb4477c3a607b">    7</a></span>&#160;<a class="code" href="classeic_1_1_cluster_obj.html#a69e1398814e8fe3395dbb4477c3a607b">ClusterObj::ClusterObj</a>() :</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;  ObjBase{{podio::ObjectID::untracked, podio::ObjectID::untracked}, 0},</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;  <a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>(),</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;  <a class="code" href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">m_clusters</a>(<span class="keyword">new</span> std::vector&lt;::eic::ConstCluster&gt;()),</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;  <a class="code" href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">m_hits</a>(<span class="keyword">new</span> std::vector&lt;::eic::ConstCalorimeterHit&gt;())</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{  }</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_obj.html#a25d879900bcf37b09eabad76af693566">   14</a></span>&#160;<a class="code" href="classeic_1_1_cluster_obj.html#a69e1398814e8fe3395dbb4477c3a607b">ClusterObj::ClusterObj</a>(<span class="keyword">const</span> podio::ObjectID <span class="keywordtype">id</span>, <a class="code" href="classeic_1_1_cluster_data.html">ClusterData</a> <a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>) :</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;  ObjBase{id, 0}, <a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>(<a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>)</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{  }</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_obj.html#a2c440fe53b9d083813cccf42322046bf">   18</a></span>&#160;<a class="code" href="classeic_1_1_cluster_obj.html#a69e1398814e8fe3395dbb4477c3a607b">ClusterObj::ClusterObj</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_cluster_obj.html">ClusterObj</a>&amp; other) :</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  ObjBase{{podio::ObjectID::untracked, podio::ObjectID::untracked}, 0},</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  <a class="code" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>(other.data),</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  <a class="code" href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">m_clusters</a>(<span class="keyword">new</span> std::vector&lt;::eic::ConstCluster&gt;(*(other.m_clusters))),</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  <a class="code" href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">m_hits</a>(<span class="keyword">new</span> std::vector&lt;::eic::ConstCalorimeterHit&gt;(*(other.m_hits)))</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;{</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_obj.html#adc37368b37fd11275b6e33e8937d0dcf">   26</a></span>&#160;<a class="code" href="classeic_1_1_cluster_obj.html#adc37368b37fd11275b6e33e8937d0dcf">ClusterObj::~ClusterObj</a>() {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <span class="keywordflow">if</span> (<span class="keywordtype">id</span>.index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">delete</span> <a class="code" href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">m_clusters</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keyword">delete</span> <a class="code" href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">m_hits</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  }</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;}</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="ttc" id="classeic_1_1_cluster_obj_html"><div class="ttname"><a href="classeic_1_1_cluster_obj.html">eic::ClusterObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8h_source.html#l00021">ClusterObj.h:21</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_obj_html_a6a04b005f284ed414183a694e9eaf94e"><div class="ttname"><a href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">eic::ClusterObj::m_hits</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCalorimeterHit &gt; * m_hits</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8h_source.html#l00035">ClusterObj.h:35</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_obj_html_a69e1398814e8fe3395dbb4477c3a607b"><div class="ttname"><a href="classeic_1_1_cluster_obj.html#a69e1398814e8fe3395dbb4477c3a607b">eic::ClusterObj::ClusterObj</a></div><div class="ttdeci">ClusterObj()</div><div class="ttdoc">constructor </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8cc_source.html#l00007">ClusterObj.cc:7</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html"><div class="ttname"><a href="classeic_1_1_cluster_data.html">eic::ClusterData</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00015">ClusterData.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_obj_html_a40fef3c2f9b08388af5e1ef8325e2595"><div class="ttname"><a href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">eic::ClusterObj::data</a></div><div class="ttdeci">ClusterData data</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8h_source.html#l00033">ClusterObj.h:33</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_obj_html_aab30fa33cb765e4aa0f3540b308234a5"><div class="ttname"><a href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">eic::ClusterObj::m_clusters</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCluster &gt; * m_clusters</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8h_source.html#l00034">ClusterObj.h:34</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_obj_html_adc37368b37fd11275b6e33e8937d0dcf"><div class="ttname"><a href="classeic_1_1_cluster_obj.html#adc37368b37fd11275b6e33e8937d0dcf">eic::ClusterObj::~ClusterObj</a></div><div class="ttdeci">virtual ~ClusterObj()</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8cc_source.html#l00026">ClusterObj.cc:26</a></div></div>
<div class="ttc" id="_cluster_8h_html"><div class="ttname"><a href="_cluster_8h.html">Cluster.h</a></div></div>
<div class="ttc" id="_cluster_obj_8h_html"><div class="ttname"><a href="_cluster_obj_8h.html">ClusterObj.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
